=== debian/changelog ===
localsearch (3.8.2-8) unstable; urgency=high

  * Rename localsearch binary package back to tracker-extract
    to avoid upgrade issue with --purge. (Mitigates: #1113704)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 20:25:36 -0400

localsearch (3.8.2-7) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with gcc-15 (Closes: #1098013)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Sep 2025 05:22:58 -0400

localsearch (3.8.2-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on gobject-introspection, not libgirepository-1.0-dev

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Require-Root field
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:46:21 -0400

localsearch (3.8.2-5) experimental; urgency=medium

  * Rename source package and primary binary package to match upstream rename
    (Closes: #1072711)
  * Convert the tracker-extract package to a transitional package
  * Use Build-Depends: gir1.2-tracker-3.0 instead of libtracker-sparql-3.0-dev
  * Cherry-pick patch to fix build with libxml 2.14 (Closes: #1106644)
    (LP: #2111803)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:52:20 -0400

tracker-miners (3.8.2-4) unstable; urgency=high

  * Add Build-Depends: libtracker-sparql-3.0-dev for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 16:04:38 -0500

tracker-miners (3.8.2-3) unstable; urgency=medium

  * Add patch to decrease stall test deadline to try to help tests
    pass on slower Debian build architectures like riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:10:09 -0500

tracker-miners (3.8.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:41:12 -0500

tracker-miners (3.8.2-1) experimental; urgency=medium

  * New upstream release
    - Project has been renamed to localsearch
  * Keep using tracker-miners source package name and tracker-extract
    binary package name to avoid NEW queue processing delay
  * Add versioned provides for localsearch so that apps can use the new
    name sooner in their Debian dependencies
  * Convert tracker-miner-fs to a transitional package
  * Add tracker-test-utils package, previously built by source package tracker
  * Update Depends from tracker to tinysparql
  * Remove obsolete Build-Depends: intltool, libblkid-dev
  * Add Build-Depends: libgirepository-1.0-dev, libgudev-1.0-dev
  * Update debian/copyright
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 09:35:20 -0500

tracker-miners (3.7.4-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a proposed patch to fix the bmp test on big endian
    (Closes: #1064548)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 20:08:09 -0500

tracker-miners (3.7.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1069409)
  * Add patch to skip new broken tiff-photo test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:28:09 -0400

tracker-miners (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 08:33:30 -0400

tracker-miners (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:35:21 -0400

tracker-miners (3.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1066898)
  * salsa-ci.yml: Drop experimental handling
  * Disable seccomp for build test build, similar to how we
    disable landlock there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 11:27:30 -0400

tracker-miners (3.7~rc-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:05:21 -0500

tracker-miners (3.7~rc-2) experimental; urgency=medium

  [ Patrice Duroux ]
  * Update Homepage (Closes: #1064214)

  [ Jeremy Bícha ]
  * Use "images" for bmp-basic-1 big-endian test override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:41:04 -0500

tracker-miners (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Re-enable landlock feature
  * Do an additional build without landlock for build tests only
  * Skip bmp-basic-1 test on big-endian architectures:
    it is a new test failing there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 19:31:14 -0500

tracker-miners (3.7~beta-2) experimental; urgency=medium

  * Temporarily disable landlock feature since it breaks build tests
    on official Debian & Ubuntu builders

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 18:56:28 -0500

tracker-miners (3.7~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Bump minimum tracker to 3.7
  * Update install file
  * Add debian/salsa-ci.yml

  [ Laurent Bigonville ]
  * debian/control: Switch from systemd to systemd-dev BD (Closes: #1060595)

  [ Matthew Ruffell ]
  * Purge stale systemd unit dependency symbolic links to remove
    tracker-extract-3.service from default.target.wants. (LP: #1779890)
    - d/tracker-extract.postinst

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 17:44:58 -0500

tracker-miners (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:40:13 -0400

tracker-miners (3.6~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tracker to 3.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:39:07 -0400

tracker-miners (3.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 09:38:57 -0400

tracker-miners (3.5.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 May 2023 16:35:29 -0400


