## localsearch 3.11~alpha

=== meson_options.txt ===
--- 
+++ 
@@ -10,8 +10,6 @@
        description: 'Install man pages')
 option('miner_fs', type: 'boolean', value: true,
        description: 'Enable the Tracker filesystem miner')
-option('miner_rss', type: 'boolean', value: false,
-       description: 'Enable the Tracker RSS miner')
 option('writeback', type: 'boolean', value: true,
        description: 'Enable Tracker writeback feature')
 option('seccomp', type: 'boolean', value: true,
@@ -21,18 +19,16 @@
 option('domain_prefix', type: 'string', value: 'org.freedesktop',
        description: 'Domain prefix to use, useful for sandboxing')
 option('miner_fs_cache_location', type: 'string', value: '',
-       description: 'Location of the miner cache, only used when domain_prefix is not \'org.freedesktop\'')
+       description: 'Location of the miner cache')
 option('default_index_recursive_dirs', type: 'array',
-       value: [ '&DESKTOP', '&DOCUMENTS', '&MUSIC', '&PICTURES', '&VIDEOS' ],
+       value: [ '$HOME' ],
        description: 'List of directories to index recursively')
 option('default_index_single_dirs', type: 'array',
-       value: [ '$HOME', '&DOWNLOAD' ],
+       value: [ ],
        description: 'List of directories to index without inspecting subfolders')
 
 option('fanotify', type: 'feature', value: 'auto',
        description: 'Enable fanotify support on linux architechture')
-option('network_manager', type: 'feature', value: 'auto',
-       description: 'Connection detection through NetworkManager')
 option('abiword', type: 'boolean', value: 'true',
        description: 'Enable extractor for AbiWord files')
 option('icon', type: 'boolean', value: 'true',
@@ -76,15 +72,20 @@
        description: 'Support XMP metadata')
 option('xps', type: 'feature', value: 'auto',
        description: 'Support extracting metadata from XPS documents')
+option('libav', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata using FFmpeg/libav')
+option('webp', type: 'feature', value: 'auto',
+       description: 'Support webp images')
 
 option('battery_detection', type: 'combo', choices: ['upower', 'hal', 'none'], value: 'upower',
        description: 'Enable upower or HAL for battery/mains power detection')
 option('charset_detection', type: 'combo', choices: ['icu', 'enca', 'none'], value: 'icu',
        description: 'Enable enca or libicu for charset detection in MP3s')
-option('generic_media_extractor', type: 'combo', choices: ['gstreamer', 'libav', 'none'], value: 'gstreamer',
-       description: 'Enables one of the (gstreamer, libav) generic media extractor backends')
-option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
-       description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')
+
+option('bash_completion', type: 'boolean', value: true,
+       description: 'Whether to install Bash completion files')
+option('bash_completion_dir', type: 'string',
+       description: 'Directory to install Bash completion files')
 
 option('dbus_services_dir', type: 'string',
        description: 'Directory to install D-Bus .service files (value from dbus-1.pc is used by default)')
