=== debian/changelog ===
localsearch (3.11~alpha-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 3.11.alpha
  * Update build dependencies for the new release:
    - Drop: libexif-dev (see gexiv2), libgudev-1.0-dev, libiptcdata0-dev,
      libnm-dev
    - Bump: libglib2.0-dev (>= 2.76.0), libtinysparql-dev (>= 3.10.1),
      meson (>= 0.59)
    - Add: libwebp-dev
  * Drop upstreamed patches:
    - common-Cast-function-argument-to-expected-type.patch
    - extract-html-Don-t-assume-a-NUL-terminated-string-for-the.patch
    - tests-Use-full-signature-in-function-definition.patch
    - tracker-miners-Fix-bmp-basic-1-test-failures-on-big-endia.patch
  * Refresh patches and fix conflicts:
    - CVE-2026-1764.patch
    - CVE-2026-1765.patch
    - CVE-2026-1766-pre1.patch
    - CVE-2026-1766.patch
    - CVE-2026-1767.patch
    - bug426.patch
    - tests-decrease-deadline.patch
  * Add patches:
    - tests-Disable-A-V-tests-when-Dlibav-is-disabled.patch
  * Modify patches:
    - Drop-file-notifier-and-miner-fs-tests.patch has become
      Drop-several-libtracker_miner_slow_tests.patch to address a recurring
      failure unique to the Debian CI environment.
  * debian/rules: Drop -Dgeneric_media_extractor|miner_rss which were both
    removed in 3.9
  * debian/localsearch.install: Add/remove files as they now exist.
  * debian/control: localsearch replaces all old tracker-{extract,miner-fs}

  [ Charles ]
  * localsearch-extractor-ffmpeg:
    - Factor FFmpeg extractor into separate binary package to ease
      distribution problems on Ubuntu. This will be available as a binary
      package in the universe component.
    - Recommend this new binary package on Debian, and Suggest it on
      Ubuntu.
  * Avoid unconditional installation of iso extractor since it's
    conditioned to build only on Debian. Now that modules are
    explicitly listed for dh_install due to the FFmpeg extractor being
    factored out, this needs to be explicitly handled.
  * d/control: Add missing B-D on gir1.2-gstreamer-1.0. Required by
    the test suite.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 17 Feb 2026 14:43:08 +0800

localsearch (3.8.2-12) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1764.patch: check for valid offsets
      extracting MP3 performer tags in
      src/tracker-extract/tracker-extract-mp3.c.
      - CVE-2026-1764
  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/bug426.patch: bail out on 0-size frame for ID3v2.0
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - No CVE number
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1765.patch: check for buffer boundaries
      extracting MP3 TXXX tags in
      src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1765
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1766-pre1.patch: minor code refactor in
      src/tracker-extract/tracker-extract-mp3.c.
    - debian/patches/CVE-2026-1766.patch: refactor/fix handling of COMM
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1766
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1767.patch: fix accounting of offsets within
      MP3 performer tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1767
    - Closes: #1126910

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 16:06:08 -0500

localsearch (3.8.2-11) unstable; urgency=medium

  * Team upload
  * d/clean: Add trailing slash to directory to fix FTBFS after successful build
    (Closes: #1047126)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 16 Jan 2026 16:52:23 -0300

localsearch (3.8.2-10) unstable; urgency=medium

  * Increase TRACKER_TESTS_AWAIT_TIMEOUT to fix test failures on riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 14:10:05 -0500

localsearch (3.8.2-9) unstable; urgency=medium

  * Finish renaming tracker-extract to localsearch (Closes: #1113704)
  * Remove direct Build-Depends: dbus, dbus-x11 (Closes: #1117097)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 12:18:44 -0500
