=== debian/control ===
Source: localsearch
Section: utils
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               asciidoc-base,
               docbook-xsl,
               gir1.2-glib-2.0 <!nocheck>,
               gir1.2-tracker-3.0 (>= 3.8) <!nocheck>,
               gobject-introspection,
               gir1.2-gstreamer-1.0 <!nocheck>,
               gstreamer1.0-libav (>= 1.20.0) <!nocheck>,
               gstreamer1.0-plugins-good (>= 1.20.0) <!nocheck>,
               gstreamer1.0-tools (>= 1.20.0) <!nocheck>,
               libavformat-dev,
               libcue-dev (>= 2.0.0),
               libdbus-1-dev (>= 1.3.1),
               libexempi-dev (>= 2.1.0),
               libgexiv2-dev,
               libgif-dev,
               libglib2.0-dev (>= 2.76.0),
               libgsf-1-dev (>= 1.14.24),
               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
               libgstreamer1.0-dev (>= 1.20.0),
               libgxps-dev,
               libicu-dev (>= 4.8.1.1),
               libosinfo-1.0-dev (>= 0.2.9),
               libpng-dev (>= 1.2),
               libpoppler-glib-dev (>= 0.16.0),
               libseccomp-dev (>= 2.0) [!hurd-any !alpha !sparc64],
               libstemmer-dev,
               libtiff-dev,
               libtinysparql-dev (>= 3.10.1),
               libtotem-plparser-dev,
               libupower-glib-dev (>= 0.9.0),
               libwebp-dev,
               libxml2-dev (>= 2.6),
               meson (>= 0.59),
               pkgconf,
               procps <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               python3-tap <!nocheck>,
               shared-mime-info <!nocheck>,
               systemd-dev (>= 242),
               tinysparql (>= 3.8),
               xsltproc
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/localsearch
Vcs-Git: https://salsa.debian.org/gnome-team/localsearch.git
Homepage: https://tracker.gnome.org/

Package: localsearch
Architecture: any
Depends: procps,
         tinysparql (>= 3.8),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: tracker-extract (<< 3.11~),
        tracker-miner-fs (<< 3.11~)
Replaces: tracker-extract (<< 3.11~),
          tracker-miner-fs (<< 3.11~)
Recommends: ${localsearch-extractor-ffmpeg:Recommends}
Suggests: ${localsearch-extractor-ffmpeg:Suggests}
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: localsearch-extractor-ffmpeg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FFmpeg powered media metadata extractor
 This package contains the FFmpeg powered metadata extractor.
 .
 Due to distribution complications with FFmpeg, this feature is
 available in a separate package. Without this, indexing of
 audio/video files will not be supported.

Package: localsearch-test-utils
Section: libs
Architecture: any
Multi-Arch: same
Depends: gir1.2-glib-2.0,
         gir1.2-tracker-3.0 (>= 3.8),
         libglib2.0-bin,
         python3-gi,
         ${misc:Depends}
Breaks: tracker-test-utils (<< 3.11~)
Replaces: tracker-test-utils (<< 3.11~)
Description: test utilities for localsearch
 This package contains shared test utilities provided by tinysparql, for use by
 localsearch.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-test-utils
Architecture: any
Section: oldlibs
Multi-Arch: same
Depends: localsearch,
         ${misc:Depends}
Description: test utilities for tracker
 This is a transitional package. It can safely be removed.

Package: tracker-extract
Architecture: all
Section: oldlibs
Depends: localsearch,
         ${misc:Depends}
Description: metadata database, indexer and search tool (transitional package)
 This is a transitional package. It can safely be removed.

Package: tracker-miner-fs
Architecture: all
Section: oldlibs
Depends: localsearch,
         ${misc:Depends}
Description: metadata database, indexer and search tool - transitional package
 This empty transitional package is here to ensure smooth upgrades.
