=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
+export TRACKER_TESTS_AWAIT_TIMEOUT = 60
+
 FEATURE_FLAGS = \
-	-Dgeneric_media_extractor=gstreamer \
 	-Dsystemd_user_services=/usr/lib/systemd/user \
 	-Dfunctional_tests=true \
-	-Dminer_rss=false \
 	-Dbattery_detection=upower \
 	-Dcharset_detection=icu \
 	-Dsystemd_user_services=true \
@@ -34,6 +34,14 @@
 FEATURE_FLAGS += \
 	-Diptc=disabled \
 	-Diso=disabled
+FFMPEG_SUBSTVAR = -Vlocalsearch-extractor-ffmpeg:Suggests=localsearch-extractor-ffmpeg
+else
+execute_after_dh_install:
+	dh_install -p localsearch \
+		usr/lib/*/localsearch-3.0/extract-modules/libextract-iso.so
+	dh_install -p localsearch \
+		usr/share/localsearch3/extract-rules/11-iso.rule
+FFMPEG_SUBSTVAR = -Vlocalsearch-extractor-ffmpeg:Recommends=localsearch-extractor-ffmpeg
 endif
 
 %:
@@ -66,4 +74,8 @@
 		dh_auto_test --builddirectory=debian/testtmp --no-parallel -- \
 		$(MESON_TEST_ARGS) $(addprefix --suite ,${TEST_SUITES_FILTER})
 
-override_dh_gnome_clean:
+override_dh_gencontrol:
+	dh_gencontrol -- $(FFMPEG_SUBSTVAR)
+
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
+override_dh_gnome:
